# Error codes

Some errors include an error code which is a short string with a brief explanation. These codes are important when handling errors because they indicate a specific kind of error.

Below is a list of possible error codes, along with additional information about how to resolve them. For convenience, every Error object in the API responses links to this list in its *docUrl* attribute.

#### QUERY\_PARAMETER\_UNKNOWN

The request contains one or more unexpected query parameters. Remove these and try again.

#### PARAMETER\_UNKNOWN

The request contains one or more unexpected body parameters. Remove these and try again.

#### PARAMETER\_MISSING

One or more required parameters are missing in the body. Check our [API documentation](/rest-api/api-references.md) to see which parameters are required to create or modify the specified resource.

#### PARAMETER\_INVALID

One or more parameters are invalid in the body. Check our [API documentation](/rest-api/api-references.md) to see how to set valid parameters to create or modify the specified resource.

#### PARAMETER\_INVALID\_STRING

One or more parameters require a string value, but the values provided were of different types. Make sure that only supported values are provided for each attribute. Refer to our [API documentation](/rest-api/api-references.md) to look up the type of data each attribute supports.

#### PARAMETER\_INVALID\_NUMBER

One or more parameters require a number value, but the values provided were of different types. Make sure that only supported values are provided for each attribute. Refer to our [API documentation](/rest-api/api-references.md) to look up the type of data each attribute supports.

#### PARAMETER\_INVALID\_INTEGER

One or more parameters require an integer value, but the values provided were of different types. Make sure that only supported values are provided for each attribute. Refer to our [API documentation](/rest-api/api-references.md) to look up the type of data each attribute supports.

#### EMAIL\_INVALID

The email address is invalid (e.g., not properly formatted). Check that the email address is properly formatted and only includes [allowed characters](https://en.wikipedia.org/wiki/Email_address#Local-part).

#### URL\_INVALID

The URL provided is invalid. Check that the URL is [properly formatted](https://developer.mozilla.org/en-US/docs/Learn/Common_questions/What_is_a_URL).

#### PAYMENT\_METHOD\_INVALID

An invalid value was provided in the payment method attribute. Check that the payment method has one of the following values: credit, cash, external, or invoice.

#### DATE\_TIME\_INVALID

The date and time provided are invalid. Check that the date and time are valid [ISO format](https://en.wikipedia.org/wiki/ISO_8601) (e.g., 2022-09-08T22:06:24.024Z).

#### PASSENGERS\_INVALID

The passengers provided is invalid. Check that the passengers value is an integer with a minimum value of 1.

#### RESOURCE\_MISSING

The ID provided is not valid. Either the resource does not exist, or an ID for a different resource has been provided.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.evertransit.com/rest-api/errors/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
